Package org.bukkit.block

# Interface Campfire

All Superinterfaces:
  `BlockState`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface Campfire extends TileState
Represents a captured state of a campfire.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCookTime(int index)`
Get cook time.
`int`
`getCookTimeTotal(int index)`
Get cook time total.
`@Nullable ItemStack`
`getItem(int index)`
`int`
`getSize()`
`void`
`setCookTime(int index, int cookTime)`
Set cook time.
`void`
`setCookTimeTotal(int index, int cookTimeTotal)`
Set cook time.
`void`
`setItem(int index, @Nullable ItemStack item)`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer`

## Method Details

### getSize

int getSize()

Returns:
  The size of the inventory
See Also:
  - `Inventory.getSize()`

### getItem

@Nullable @Nullable ItemStack getItem(int index)

Parameters:
  `index` - The index of the Slot's ItemStack to return
Returns:
  The ItemStack in the slot
See Also:
  - `Inventory.getItem(int)`

### setItem

void setItem(int index, @Nullable @Nullable ItemStack item)

Parameters:
  `index` - The index where to put the ItemStack
  `item` - The ItemStack to set
See Also:
  - `Inventory.setItem(int, org.bukkit.inventory.ItemStack)`

### getCookTime

int getCookTime(int index)
Get cook time. This is the amount of time the item has been cooking for.

Parameters:
  `index` - item slot index
Returns:
  Cook time

### setCookTime

void setCookTime(int index, int cookTime)
Set cook time. This is the amount of time the item has been cooking for.

Parameters:
  `index` - item slot index
  `cookTime` - Cook time

### getCookTimeTotal

int getCookTimeTotal(int index)
Get cook time total. This is the amount of time the item is required to cook for.

Parameters:
  `index` - item slot index
Returns:
  Cook time total

### setCookTimeTotal

void setCookTimeTotal(int index, int cookTimeTotal)
Set cook time. This is the amount of time the item is required to cook for.

Parameters:
  `index` - item slot index
  `cookTimeTotal` - Cook time total